Name:           vtable-dumper
Version:        1.2
Release:        %mkrel 3
Summary:        Tool to list content of virtual tables in a C++ shared library

License:        GPL+ or LGPLv2+
URL:            https://github.com/lvc/vtable-dumper
Source0:        https://github.com/lvc/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc gcc-c++
BuildRequires:  pkgconfig(libelf)
Group: Development/C++

%description
Vtable-Dumper is a tool to list content of virtual tables in a C++ shared
library. It is intended for developers of software libraries and maintainers of
Linux distributions who are interested in ensuring backward binary
compatibility.


%prep
%autosetup


%build
%make_build CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"


%install
mkdir -p %{buildroot}%{_bindir}
install -pm 0755 %{name} %{buildroot}%{_bindir}/


%files
%license LICENSE
%doc README
%{_bindir}/%{name}


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.2-3.mga10
+ Revision: 2211289
- Mageia 10 Mass Rebuild

* Sat Mar 26 2022 umeabot <umeabot> 1.2-2.mga9
+ Revision: 1827455
- Mageia 9 Mass Rebuild

* Tue Apr 28 2020 joequant <joequant> 1.2-1.mga8
+ Revision: 1572879
- imported package vtable-dumper

